### Method

# Shumate Viewport get_reference_map_source

#### Declaration [src]

    ShumateMapSource*
    shumate_viewport_get_reference_map_source (
      ShumateViewport* self
    )

#### Description [src]

Get the reference map source.

Gets property | `Shumate.Viewport:reference-map-source`

#### Return value

Returns: | `ShumateMapSource`
| The reference `ShumateMapSource` or `NULL` when none has been set.
| The data is owned by the instance.
| The return value can be `NULL`.